commit 000product for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2018-11-05 22:57:23

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Mon Nov  5 22:57:23 2018 rev:642 rq: version:unknown
Mon Nov  5 22:57:23 2018 rev:643 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
++ 
_service:product_converter:openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.0DZ3xY/_old  2018-11-05 22:58:03.763852970 +0100
+++ /var/tmp/diff_new_pack.0DZ3xY/_new  2018-11-05 22:58:03.767852964 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,9 +35,9 @@
   true
   -x -2
   openSUSE
-  20181103
+  20181105
   11
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181103,openSUSE 
Tumbleweed Kubic
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181105,openSUSE 
Tumbleweed Kubic
   en_US 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ _service:product_converter:openSUSE-Tumbleweed-Kubic-release.spec ++
--- /var/tmp/diff_new_pack.0DZ3xY/_old  2018-11-05 22:58:03.779852949 +0100
+++ /var/tmp/diff_new_pack.0DZ3xY/_new  2018-11-05 22:58:03.779852949 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   openSUSE-Tumbleweed-Kubic-release
-Version:20181103
+Version:    20181105
 Release:0
 Summary:openSUSE Tumbleweed Kubic 
 License:GPL-2.0-or-later
@@ -38,9 +38,9 @@
 ExclusiveArch:  %ix86 x86_64 ppc64le s390x aarch64
 Provides:   %name-%version
 Provides:   product() = openSUSE-Tumbleweed-Kubic
-Provides:   product(openSUSE-Tumbleweed-Kubic) = 20181103-0
+Provides:   product(openSUSE-Tumbleweed-Kubic) = 20181105-0
 Provides:   product-label() = openSUSE%20Tumbleweed%20Kubic
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20181103
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20181105
 Provides:   product-url(releasenotes) = 
http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
 Provides:   product-endoflife()
 Requires:   product_flavor(openSUSE-Tumbleweed-Kubic)
@@ -61,7 +61,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(dvd)
-Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20181103-0
+Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20181105-0
 Summary:openSUSE Tumbleweed Kubic
 
 %description dvd
@@ -123,11 +123,11 @@
 
   openSUSE
   openSUSE-Tumbleweed-Kubic
-  20181103
+  20181105
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181103
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181105
   openSUSE-Tumbleweed-Kubic
   
 

++ _service:product_converter:openSUSE-cd-mini-i586.kiwi ++
--- /var/tmp/diff_new_pack.0DZ3xY/_old  2018-11-05 22:58:03.803852918 +0100
+++ /var/tmp/diff_new_pack.0DZ3xY/_new  2018-11-05 22:58:03.803852918 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,9 +32,9 @@
   true
   -x -2
   openSUSE
-  20181103
+  20181105
   11
-  cpe:/o:opensuse:opensuse:20181103,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20181105,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi: same change
++ _service:product_converter:openSUSE-ftp-ftp-i586_x86_64.kiwi ++
--- /var/tmp/diff_new_pack.0DZ3xY/_old  2018-11-05 22:58:03.907852787 +0100
+++ /var/tmp/diff_new_pack.0DZ3xY/_new  2018-11-05 22:58:03.907852787 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -24,7 +24,7 @@
   openSUSE
   ftp
   true
-  openSUSE-20181103-i586-x86_64
+  openSUSE-20181105-i586-x86_64
   true
   /
   $DISTNAME-$FLAVOR
@@ -36,9 +36,9 @@
   true
   -x -2
   openSUSE
-  20181103
+  20181105
   11
-  cpe:/o:opensuse:opensuse:20181103,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20181105,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja

commit docker for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package docker for openSUSE:Factory checked 
in at 2018-11-05 22:56:51

Comparing /work/SRC/openSUSE:Factory/docker (Old)
 and  /work/SRC/openSUSE:Factory/.docker.new (New)


Package is "docker"

Mon Nov  5 22:56:51 2018 rev:82 rq:646380 version:18.06.1_ce

Changes:

--- /work/SRC/openSUSE:Factory/docker/docker.changes2018-10-12 
13:08:54.323452604 +0200
+++ /work/SRC/openSUSE:Factory/.docker.new/docker.changes   2018-11-05 
22:57:02.155930905 +0100
@@ -28,2 +28,3 @@
-- Upgrade to docker-ce v18.06.1-ce. Upstream changelog:
-  https://github.com/docker/docker-ce/releases/tag/v18.06.1-ce bsc#1102522
+- Upgrade to docker-ce v18.06.1-ce. bsc#1102522 bsc#1113313
+  Upstream changelog:
+  https://github.com/docker/docker-ce/releases/tag/v18.06.1-ce



Other differences:
--



commit roundcubemail for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package roundcubemail for openSUSE:Factory 
checked in at 2018-11-05 22:56:20

Comparing /work/SRC/openSUSE:Factory/roundcubemail (Old)
 and  /work/SRC/openSUSE:Factory/.roundcubemail.new (New)


Package is "roundcubemail"

Mon Nov  5 22:56:20 2018 rev:53 rq:646191 version:1.3.8

Changes:

--- /work/SRC/openSUSE:Factory/roundcubemail/roundcubemail.changes  
2018-08-08 14:53:53.809589333 +0200
+++ /work/SRC/openSUSE:Factory/.roundcubemail.new/roundcubemail.changes 
2018-11-05 22:56:22.699980818 +0100
@@ -1,0 +2,31 @@
+Fri Oct 26 14:19:46 UTC 2018 - l...@linux-schulserver.de - 1.3.8
+
+- Upgrade to version 1.3.8:
+  * Fix PHP warnings on dummy QUOTA responses in Courier-IMAP 4.17.1 (#6374)
+  * Fix so fallback from BINARY to BODY FETCH is used also on [PARSE] errors 
in dovecot 2.3 (#6383)
+  * Enigma: Fix deleting keys with authentication subkeys (#6381)
+  * Fix invalid regular expressions that throw warnings on PHP 7.3 (#6398)
+  * Fix so Classic skin splitter does not escape out of window (#6397)
+  * Fix XSS issue in handling invalid style tag content (#6410)
+  * Fix compatibility with MySQL 8 - error on 'system' table use
+  * Managesieve: Fix bug where show_real_foldernames setting wasn't respected 
(#6422)
+  * New_user_identity: Fix %fu/%u vars substitution in user specific LDAP 
params (#6419)
+  * Fix support for "allow-from " in x_frame_options config option (#6449)
+  * Fix bug where valid content between HTML comments could have been skipped 
in some cases (#6464)
+  * Fix multiple VCard field search (#6466)
+  * Fix session issue on long running requests (#6470)
+- add files with .log entry to logrotate config
+- enhance apache configuration by:
+  + disable mbstring function overload (http://bugs.php.net/bug.php?id=30766)
+  + do not allow to see README*, INSTALL, LICENSE or CHANGELOG files
+  + set additional headers:
+  ++ Content-Security-Policy: ask browsers to not set the referrer
+  ++ Cache-Control: ask not to cache the content
+  ++ Strict-Transport-Security: set HSTS rules for SSL traffic
+  ++ X-XSS-Protection: configure built in reflective XSS protection
+- adjust README.openSUSE: 
+  + db.inc.php is not used any longer
+  + flush privileges after creating/changing users in mysql
+- use %%license macro on newer distributions
+
+---

Old:

  roundcubemail-1.3.7-complete.tar.gz
  roundcubemail-1.3.7-complete.tar.gz.asc

New:

  roundcubemail-1.3.8-complete.tar.gz
  roundcubemail-1.3.8-complete.tar.gz.asc



Other differences:
--
++ roundcubemail.spec ++
--- /var/tmp/diff_new_pack.6YVxIo/_old  2018-11-05 22:56:23.383979952 +0100
+++ /var/tmp/diff_new_pack.6YVxIo/_new  2018-11-05 22:56:23.387979947 +0100
@@ -12,12 +12,12 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   roundcubemail
-Version:1.3.7
+Version:1.3.8
 Release:0
 Summary:A browser-based multilingual IMAP client
 License:GPL-3.0-or-later AND GPL-2.0-only AND BSD-3-Clause
@@ -260,8 +260,10 @@
 
 %files
 %defattr(0644, root, root,0755)
-%doc CHANGELOG
-%doc LICENSE
+%doc CHANGELOG LICENSE
+%if 0%{?suse_version} >= 1500
+%license LICENSE
+%endif
 %doc README.md
 %doc README.openSUSE
 %doc UPGRADING

++ README.openSUSE ++
--- /var/tmp/diff_new_pack.6YVxIo/_old  2018-11-05 22:56:23.423979901 +0100
+++ /var/tmp/diff_new_pack.6YVxIo/_new  2018-11-05 22:56:23.427979897 +0100
@@ -1,5 +1,4 @@
 
-
 This README contains additional information specific to the
 openSUSE package of roundcube.
 
@@ -27,16 +26,15 @@
 
 # mysql
 > CREATE DATABASE roundcubemail /*!40101 CHARACTER SET utf8 COLLATE 
 > utf8_general_ci */;
-> GRANT ALL PRIVILEGES ON roundcubemail.* TO roundcube@localhost
-  IDENTIFIED BY 'password';
+> GRANT ALL PRIVILEGES ON roundcubemail.* TO 'roundcube'@'localhost' 
IDENTIFIED BY 'password';
+> FLUSH PRIVILEGES;
 > quit
 
 # mysql roundcubemail < 
/usr/share/doc/packages/roundcubemail/SQL/mysql.initial.sql
 
 Note 1: 'password' is the master password for the roundcube user. It is 
strongly
 recommended you replace this with a more secure password. Please keep in
-mind: You need to specify this password later in 
'/etc/roundcubemail/db.inc.php'.
-
+mind: You need to specify this password later in 
'/etc/roundcubemail/config.inc.php'.
 
 To use the integrated web based installer you need to enable it first
 in /etc/roundcubemail/config.inc.php:

++ 

commit logwatch for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package logwatch for openSUSE:Factory 
checked in at 2018-11-05 22:55:48

Comparing /work/SRC/openSUSE:Factory/logwatch (Old)
 and  /work/SRC/openSUSE:Factory/.logwatch.new (New)


Package is "logwatch"

Mon Nov  5 22:55:48 2018 rev:38 rq:646088 version:7.4.3

Changes:

--- /work/SRC/openSUSE:Factory/logwatch/logwatch.changes2018-01-22 
16:22:28.606825557 +0100
+++ /work/SRC/openSUSE:Factory/.logwatch.new/logwatch.changes   2018-11-05 
22:55:55.812014831 +0100
@@ -1,0 +2,7 @@
+Mon Oct 22 21:54:25 UTC 2018 - adaugher...@tamu.edu
+
+- fix documentation path in logwatch(8) man page
+- install missing logwatch.conf(5) man page
+  => logwatch-conf-5.patch
+
+---

New:

  logwatch-conf-5.patch



Other differences:
--
++ logwatch.spec ++
--- /var/tmp/diff_new_pack.3A5pP9/_old  2018-11-05 22:55:57.600012569 +0100
+++ /var/tmp/diff_new_pack.3A5pP9/_new  2018-11-05 22:55:57.604012564 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -32,6 +32,7 @@
 Patch0: logwatch-firewall.patch
 Patch2: logwatch-timestamp_in_var.patch
 Patch3: logwatch-dmeventd-reduce_frequency.patch
+Patch4: logwatch-conf-5.patch
 Requires:   cron
 Requires:   grep
 Requires:   mailx
@@ -54,8 +55,11 @@
 %patch0
 %patch2
 %patch3
+%patch4 -p1
 dos2unix scripts/services/courier
 cp %{S:3} %{S:4} .
+# fix package doc dir in man page
+sed -i -e 's,/usr/share/doc/logwatch-\*,%{_defaultdocdir}/logwatch,' logwatch.8
 
 %build
 
@@ -92,6 +96,12 @@
 install -m 0644 conf/html/* %{buildroot}%{_datadir}/logwatch/default.conf/html
 install -m 0755 -d %{buildroot}%{_mandir}/man8
 install -m 0644 logwatch.8 %{buildroot}%{_mandir}/man8
+install -m 0755 -d %{buildroot}%{_mandir}/man5
+install -m 0644 logwatch.conf.5 %{buildroot}%{_mandir}/man5
+# replace man page alias files with symlinks
+for f in {ignore,override}.conf.5; do
+ln -s logwatch.conf.5 %{buildroot}%{_mandir}/man5/$f
+done
 rm -f   %{buildroot}%{_sysconfdir}/cron.daily/logwatch \
%{buildroot}%{_sbindir}/logwatch
 install -m 0755 -d %{buildroot}%{_sysconfdir}/cron.daily
@@ -142,6 +152,7 @@
 %{_datadir}/logwatch/default.conf/html/*.html
 %{_sysconfdir}/cron.daily/0logwatch
 %doc %{_mandir}/man8/logwatch.8*
+%doc %{_mandir}/man5/*.conf.5*
 %config(noreplace) %{_sysconfdir}/logwatch/conf/*.conf
 
 %changelog

++ logwatch-conf-5.patch ++
diff --git a/logwatch.conf.5 b/logwatch.conf.5
index 68dd949..ca8c56b 100644
--- a/logwatch.conf.5
+++ b/logwatch.conf.5
@@ -29,8 +29,7 @@ log/service files.
 
 .SH FILES
 .I /etc/logwatch/conf/logwatch.conf
-.I /etc/logwatch/conf/logwatch.conf
-.I /etc/logwatch/conf/logwatch.conf
+.br
 .I /usr/share/logwatch/default.conf/logwatch.conf
 
 .SH "SEE ALSO"



commit cloud-init for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package cloud-init for openSUSE:Factory 
checked in at 2018-11-05 22:54:45

Comparing /work/SRC/openSUSE:Factory/cloud-init (Old)
 and  /work/SRC/openSUSE:Factory/.cloud-init.new (New)


Package is "cloud-init"

Mon Nov  5 22:54:45 2018 rev:54 rq:646077 version:18.4

Changes:

--- /work/SRC/openSUSE:Factory/cloud-init/cloud-init.changes2018-10-29 
14:58:26.613977045 +0100
+++ /work/SRC/openSUSE:Factory/.cloud-init.new/cloud-init.changes   
2018-11-05 22:54:53.424093752 +0100
@@ -1,0 +2,10 @@
+Fri Nov  2 14:13:42 UTC 2018 - Robert Schweikert 
+
+- Add cloud-init-ostack-metadat-dencode.patch (bsc#1101894)
+
+---
+Wed Oct 31 14:27:32 UTC 2018 - Robert Schweikert 
+
+- Add cloud-init-static-net.patch (boo#1114160)
+
+---

New:

  cloud-init-ostack-metadat-dencode.patch
  cloud-init-static-net.patch



Other differences:
--
++ cloud-init.spec ++
--- /var/tmp/diff_new_pack.bo89nN/_old  2018-11-05 22:54:54.048092962 +0100
+++ /var/tmp/diff_new_pack.bo89nN/_new  2018-11-05 22:54:54.052092958 +0100
@@ -49,6 +49,10 @@
 # FIXME (lp#1799709)
 # https://code.launchpad.net/~rjschwei/cloud-init/+git/cloud-init/+merge/357752
 Patch40:0001-Fix-the-service-order-for-SUSE-distributions.patch 
+# FIXME (lp# 1800854)
+Patch41:cloud-init-static-net.patch
+# FIXME (lp#1801364)
+Patch42:cloud-init-ostack-metadat-dencode.patch
 
 BuildRequires:  fdupes
 BuildRequires:  filesystem
@@ -194,6 +198,8 @@
 %patch38
 %patch39 -p1
 %patch40 -p1
+%patch41
+%patch42
 
 %build
 %if 0%{?suse_version} && 0%{?suse_version} <= 1315

++ cloud-init-ostack-metadat-dencode.patch ++
--- cloudinit/sources/helpers/openstack.py.orig
+++ cloudinit/sources/helpers/openstack.py
@@ -291,7 +291,10 @@ class BaseReader(object):
 if 'random_seed' in metadata:
 random_seed = metadata['random_seed']
 try:
-metadata['random_seed'] = base64.b64decode(random_seed)
+metadata['random_seed'] = u'%s' % base64.b64decode(random_seed)
+except UnicodeDecodeError:
+# Did not decode as expected, probably utf-8 already
+metadata['random_seed'] = random_seed 
 except (ValueError, TypeError) as e:
 raise BrokenMetadata("Badly formatted metadata"
  " random_seed entry: %s" % e)
++ cloud-init-static-net.patch ++
--- cloudinit/net/sysconfig.py.orig
+++ cloudinit/net/sysconfig.py
@@ -314,7 +314,8 @@ class Renderer(renderer.Renderer):
 # ==> the following should not be set to 'static'
 # but should remain 'none'
 # if iface_cfg['BOOTPROTO'] == 'none':
-#iface_cfg['BOOTPROTO'] = 'static'
+# For SUSE this is different set to "static"
+iface_cfg['BOOTPROTO'] = 'static'
 if subnet_is_ipv6(subnet):
 mtu_key = 'IPV6_MTU'
 iface_cfg['IPV6INIT'] = True



commit rpmrebuild for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package rpmrebuild for openSUSE:Factory 
checked in at 2018-11-05 22:55:16

Comparing /work/SRC/openSUSE:Factory/rpmrebuild (Old)
 and  /work/SRC/openSUSE:Factory/.rpmrebuild.new (New)


Package is "rpmrebuild"

Mon Nov  5 22:55:16 2018 rev:24 rq:646085 version:2.14

Changes:

--- /work/SRC/openSUSE:Factory/rpmrebuild/rpmrebuild.changes2018-09-26 
16:11:21.499492440 +0200
+++ /work/SRC/openSUSE:Factory/.rpmrebuild.new/rpmrebuild.changes   
2018-11-05 22:55:23.62004 +0100
@@ -1,0 +2,16 @@
+Fri Nov  2 13:54:14 UTC 2018 - Bruno Friedmann 
+
+- Update to version 2.14
+  + add list of optional tags, to allow rpmrebuild work with old 
+rpm versions
+  + add dependency on setarch
+  + add debug code (calls on functions)
+  + use local variables to avoid conflicts
+  + rewrite html target in Makefile
+  + suppress VERSION (use Version)
+  + add comments in rpmrebuild_rpmqf.src to avoid bad syntax after
+GenRpmQf
+  + test if awk support non-posix lshift (qf_spec_requires_raw)
+  + workaround for redhat 6.x / rpm 3.x, merci Francesco
+
+---

Old:

  rpmrebuild-2.13.tar.gz
  rpmrebuild-2.13.tar.gz.sig

New:

  rpmrebuild-2.14.tar.gz
  rpmrebuild-2.14.tar.gz.sig



Other differences:
--
++ rpmrebuild.spec ++
--- /var/tmp/diff_new_pack.LsV4Am/_old  2018-11-05 22:55:24.224054790 +0100
+++ /var/tmp/diff_new_pack.LsV4Am/_new  2018-11-05 22:55:24.228054785 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   rpmrebuild
-Version:2.13
+Version:2.14
 Release:0
 Summary:A tool to build a rpm file from the rpm database
 License:GPL-2.0-or-later

++ rpmrebuild-2.13.tar.gz -> rpmrebuild-2.14.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Changelog new/Changelog
--- old/Changelog   2018-09-12 16:07:44.0 +0200
+++ new/Changelog   2018-10-19 17:48:29.0 +0200
@@ -1,3 +1,14 @@
+* Fri Oct 19 2018  2.14-1
+- add list of optional tags, to allow rpmrebuild work with old rpm versions
+- add dependency on setarch
+- add debug code (calls on functions)
+- use local variables to avoid conflicts
+- rewrite html target in Makefile
+- suppress VERSION (use Version)
+- add comments in rpmrebuild_rpmqf.src to avoid bad syntax after GenRpmQf
+- test if awk support non-posix lshift (qf_spec_requires_raw)
+- workaround for redhat 6.x / rpm 3.x, thanks Francesco
+
 * Wed Sep 12 2018  2.13-1
 - can handle recommends / supplements rpm tags
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Makefile new/Makefile
--- old/Makefile2018-06-10 17:23:54.0 +0200
+++ new/Makefile2018-10-19 17:48:29.0 +0200
@@ -37,6 +37,7 @@
rpmrebuild_rpmqf.src  \
rpmrebuild_parser.src \
spec_func.src \
+   optional_tags.cfg
 
 MANPAGES_BASE :=\
rpmrebuild.1 \
@@ -52,6 +53,9 @@
 
 MANPAGES_SRC := $(addsuffix .in,$(MANPAGES))
 
+MANPAGES_DEF := $(foreach lang,$(LANG_DEF),$(addprefix 
man/$(lang)/,$(MANPAGES_BASE)))
+HTML_PAGES=$(MANPAGES_DEF:.1=.1.html)
+
 DOC_FILES :=  \
AUTHORS\
Changelog  \
@@ -95,7 +99,7 @@
}
 endef
 
-all: rpmrebuild.spec VERSION $(MANPAGES) 
+all: rpmrebuild.spec $(MANPAGES)
$(MAKE) -C plugins $@
 
 rpmrebuild.spec: rpmrebuild.spc Version Release Changelog 
@@ -105,17 +109,13 @@
 $(MANPAGES): %: %.in $(TOP_DIR)/Version
$(MakeManPage)
 
-VERSION: Version
-   $(RM) $@
-   read VERSION < $< && echo "VERSION='$$VERSION'" > $@ || { $(RM) $@; 
exit 1; }
-
 install:
$(MKDIR)  $(TARGET_DIR)
$(INSTALL_RUN) $(SCRIPTS) $(TARGET_DIR)
 
$(MKDIR) $(TARGET_LIB)
$(INSTALL_RUN) $(LIB_SCRIPTS)$(TARGET_LIB)
-   $(INSTALL_RO) $(INCLUDE_SCRIPTS) VERSION $(TARGET_LIB)
+   $(INSTALL_RO) $(INCLUDE_SCRIPTS) Version $(TARGET_LIB)
$(InstallManPages)
$(InstallLocales)
$(MAKE) -C plugins $@
@@ -133,14 +133,19 @@
 
 clean: unexpand
$(RMDIR) $(ROOT) $(RPM_BUILD_DIR)
-   $(RM)VERSION rpmrebuild.spec *.rpm rpmrebuild.tar.gz 
rpmrebuild.tar.gz.sig
+   $(RM)rpmrebuild.spec *.rpm rpmrebuild.tar.gz rpmrebuild.tar.gz.sig
$(RM)$(MANPAGES)
+   $(RM)$(HTML_PAGES)
$(MAKE) -C plugins $@
 
 man: $(MANPAGES)
+   $(MAKE) -C plugins $@
+
+$(HTML_PAGES) : $(MANPAGES_DEF)
 
-html:
-   ./faire_doc.sh
+html: man $(HTML_PAGES)
+   cp $(HTML_PAGES) ../web
+   $(MAKE) -C plugins $@
 
 # build all packages
 alldist: 

commit python-neovim for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package python-neovim for openSUSE:Factory 
checked in at 2018-11-05 22:54:14

Comparing /work/SRC/openSUSE:Factory/python-neovim (Old)
 and  /work/SRC/openSUSE:Factory/.python-neovim.new (New)


Package is "python-neovim"

Mon Nov  5 22:54:14 2018 rev:11 rq:646075 version:0.2.6

Changes:

--- /work/SRC/openSUSE:Factory/python-neovim/python-neovim.changes  
2018-04-17 11:19:34.528623315 +0200
+++ /work/SRC/openSUSE:Factory/.python-neovim.new/python-neovim.changes 
2018-11-05 22:54:26.500127810 +0100
@@ -1,0 +2,8 @@
+Sat May 26 19:44:47 UTC 2018 - mc...@suse.com
+
+- Upgrade to 0.2.6
+* Some minor fixes
+* Supported for communication with neovim in-process lua interpreter
+- Clean-up SPEC file
+
+---

Old:

  python-client-0.2.4.tar.gz

New:

  python-client-0.2.6.tar.gz



Other differences:
--
++ python-neovim.spec ++
--- /var/tmp/diff_new_pack.6v3QQW/_old  2018-11-05 22:54:28.036125867 +0100
+++ /var/tmp/diff_new_pack.6v3QQW/_new  2018-11-05 22:54:28.040125863 +0100
@@ -12,29 +12,31 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
+# For OpenSUSE and older Fedora
+%{!?python3_pkgversion:%global python3_pkgversion %(c=%{python3_version}; echo 
${c/./})}
 Name:   python-neovim
-Version:0.2.4
+Version:0.2.6
 Release:0
-Summary:Python 2 client to Neovim
-# FIXME: use correct group, see 
"https://en.opensuse.org/openSUSE:Package_group_guidelines;
+Summary:Python client to Neovim
 License:Apache-2.0
-Group:  Productivity/Editors/Vi
-Url:https://github.com/neovim/python-client
+Group:  Productivity/Text/Editors
+URL:https://github.com/neovim/python-client
 Source: 
https://github.com/neovim/python-client/archive/%{version}/python-client-%{version}.tar.gz
 BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-Requires:   neovim >= 0.2.1
+Requires:   neovim >= 0.1.6
 Requires:   python-greenlet
 Requires:   python-msgpack-python
 BuildArch:  noarch
-%ifpython2
+%if "%{python_flavor}" == "python2"
 Requires:   python-trollius
 %endif
 %python_subpackages
@@ -43,7 +45,7 @@
 Library for scripting Nvim processes through its msgpack-rpc API.
 
 %prep
-%setup -q -n python-client-%{version}
+%autosetup -n python-client-%{version}
 
 %build
 %python_build

++ python-client-0.2.4.tar.gz -> python-client-0.2.6.tar.gz ++
 2022 lines of diff (skipped)




commit lynis for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package lynis for openSUSE:Factory checked 
in at 2018-11-05 22:53:42

Comparing /work/SRC/openSUSE:Factory/lynis (Old)
 and  /work/SRC/openSUSE:Factory/.lynis.new (New)


Package is "lynis"

Mon Nov  5 22:53:42 2018 rev:31 rq:646071 version:2.7.0

Changes:

--- /work/SRC/openSUSE:Factory/lynis/lynis.changes  2018-10-11 
11:55:31.326018185 +0200
+++ /work/SRC/openSUSE:Factory/.lynis.new/lynis.changes 2018-11-05 
22:53:44.988180323 +0100
@@ -1,0 +2,12 @@
+Sat Oct 27 02:36:44 UTC 2018 - s...@suspend.net
+
+- update to 2.7.0
+  * added detection of TOMOYO binary (MACF-6240)
+  * Status of TOMOYO framework updated (MACF-6242)
+  * OpenSSH server version detected (SSH-7406)
+  * Check active OSSEC analysis daemon (TOOL-5160)
+  * Changed several warning labels on screen
+  * More generic sulogin for systemd rescue (AUTH-9308)
+  * OS detection now ignores quotes for getting the OS ID
+
+---

Old:

  lynis-2.6.9.tar.gz
  lynis-2.6.9.tar.gz.asc

New:

  lynis-2.7.0.tar.gz
  lynis-2.7.0.tar.gz.asc



Other differences:
--
++ lynis.spec ++
--- /var/tmp/diff_new_pack.1FDt3e/_old  2018-11-05 22:53:45.796179301 +0100
+++ /var/tmp/diff_new_pack.1FDt3e/_new  2018-11-05 22:53:45.804179291 +0100
@@ -23,7 +23,7 @@
 %define _pluginsdir   %{_datadir}/lynis/plugins
 %define _dbdir%{_datadir}/lynis/db
 Name:   lynis
-Version:2.6.9
+Version:2.7.0
 Release:0
 Summary:Security and System auditing tool
 License:GPL-3.0-only

++ lynis-2.6.9.tar.gz -> lynis-2.7.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lynis/CHANGELOG.md new/lynis/CHANGELOG.md
--- old/lynis/CHANGELOG.md  2018-09-19 02:00:00.0 +0200
+++ new/lynis/CHANGELOG.md  2018-10-26 02:00:00.0 +0200
@@ -1,5 +1,20 @@
 # Lynis Changelog
 
+## Lynis 2.7.0 (2018-10-26)
+
+### Added
+- MACF-6240 - Detection of TOMOYO binary
+- MACF-6242 - Status of TOMOYO framework
+- SSH-7406  - OpenSSH server version detection
+- TOOL-5160 - Check active OSSEC analysis daemon
+
+### Changed
+- Changed several warning labels on screen
+- AUTH-9308 - More generic sulogin for systemd rescue.service
+- OS detection now ignores quotes for getting the OS ID.
+
+-
+
 ## Lynis 2.6.9 (2018-09-19)
 
 ### Changed
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lynis/db/tests.db new/lynis/db/tests.db
--- old/lynis/db/tests.db   2018-09-19 02:00:00.0 +0200
+++ new/lynis/db/tests.db   2018-10-26 02:00:00.0 +0200
@@ -210,6 +210,8 @@
 MACF-6208:test:security:mac_frameworks::Check if AppArmor is enabled:
 MACF-6232:test:security:mac_frameworks::Check SELINUX presence:
 MACF-6234:test:security:mac_frameworks::Check SELINUX status:
+MACF-6240:test:security:mac_frameworks::Detection of TOMOYO binary:
+MACF-6242:test:security:mac_frameworks::Status of TOMOYO MAC framework:
 MACF-6290:test:security:mac_frameworks::Check for implemented MAC framework:
 MAIL-8802:test:security:mail_messaging::Check Exim status:
 MAIL-8804:test:security:mail_messaging::Exim configuration:
@@ -352,6 +354,7 @@
 SQD-3680:test:security:squid::Check Squid version suppression:
 SSH-7402:test:security:ssh::Check for running SSH daemon:
 SSH-7404:test:security:ssh::Check SSH daemon file location:
+SSH-7406:test:security:ssh::Detection of OpenSSH server version:
 SSH-7408:test:security:ssh::Check SSH specific defined options:
 SSH-7440:test:security:ssh::AllowUsers and AllowGroups:
 STRG-1840:test:security:storage:Linux:Check if USB storage is disabled:
@@ -381,6 +384,7 @@
 TOOL-5104:test:security:tooling::Enabled tests for Fail2ban:
 TOOL-5120:test:security:tooling::Presence of Snort IDS:
 TOOL-5122:test:security:tooling::Snort IDS configuration file:
+TOOL-5160:test:security:tooling::Check for active OSSEC analysis daemon:
 TOOL-5190:test:security:tooling::Check presence of available IDS/IPS tooling:
 USB-3000:test:security:storage:Linux:Check for presence of USBGuard:
 # EOF
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lynis/include/binaries new/lynis/include/binaries
--- old/lynis/include/binaries  2018-09-19 02:00:00.0 +0200
+++ new/lynis/include/binaries  2018-10-26 02:00:00.0 +0200
@@ -225,6 +225,7 @@
 syslog-ng)  
SYSLOGNGBINARY="${BINARY}";SYSLOGNGVERSION=$(${BINARY} -V 2>&1 | grep 
"^syslog-ng" | awk '{ print $2 }'); LogText "Found ${BINARY} 

commit bitcoin for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package bitcoin for openSUSE:Factory checked 
in at 2018-11-05 22:53:06

Comparing /work/SRC/openSUSE:Factory/bitcoin (Old)
 and  /work/SRC/openSUSE:Factory/.bitcoin.new (New)


Package is "bitcoin"

Mon Nov  5 22:53:06 2018 rev:31 rq:646028 version:0.17.0.1

Changes:

--- /work/SRC/openSUSE:Factory/bitcoin/bitcoin.changes  2018-10-04 
19:01:56.863174798 +0200
+++ /work/SRC/openSUSE:Factory/.bitcoin.new/bitcoin.changes 2018-11-05 
22:53:13.032220746 +0100
@@ -1,0 +2,7 @@
+Fri Nov 02 09:03:37 UTC 2019 - s...@suspend.net
+
+- Update to version 0.17.0.1:
+  * Resolves bcc#14416 Fix OSX dmg issue
+  * Resolves bcc#14509 doc:use SegWit in getblocktemplate example
+
+---

Old:

  bitcoin-0.17.0.tar.gz

New:

  bitcoin-0.17.0.1.tar.gz



Other differences:
--
++ bitcoin.spec ++
--- /var/tmp/diff_new_pack.4yNGSB/_old  2018-11-05 22:53:13.700219901 +0100
+++ /var/tmp/diff_new_pack.4yNGSB/_new  2018-11-05 22:53:13.700219901 +0100
@@ -24,7 +24,7 @@
 %define consensus 1
 %define is_base 1
 Name:   bitcoin
-Version:0.17.0
+Version:0.17.0.1
 Release:0
 Summary:P2P Digital Currency
 License:MIT

++ bitcoin-0.17.0.tar.gz -> bitcoin-0.17.0.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/bitcoin-0.17.0/.travis.yml 
new/bitcoin-0.17.0.1/.travis.yml
--- old/bitcoin-0.17.0/.travis.yml  2018-10-01 12:04:33.0 +0200
+++ new/bitcoin-0.17.0.1/.travis.yml2018-10-26 12:01:33.0 +0200
@@ -148,7 +148,7 @@
   language: python
   python: '3.6'
   install:
-- travis_retry pip install flake8
+- travis_retry pip install flake8==3.5.0
   before_script:
 - git fetch --unshallow
   script:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/bitcoin-0.17.0/configure.ac 
new/bitcoin-0.17.0.1/configure.ac
--- old/bitcoin-0.17.0/configure.ac 2018-10-01 12:04:33.0 +0200
+++ new/bitcoin-0.17.0.1/configure.ac   2018-10-26 12:01:33.0 +0200
@@ -3,7 +3,7 @@
 define(_CLIENT_VERSION_MAJOR, 0)
 define(_CLIENT_VERSION_MINOR, 17)
 define(_CLIENT_VERSION_REVISION, 0)
-define(_CLIENT_VERSION_BUILD, 0)
+define(_CLIENT_VERSION_BUILD, 1)
 define(_CLIENT_VERSION_IS_RELEASE, true)
 define(_COPYRIGHT_YEAR, 2018)
 define(_COPYRIGHT_HOLDERS,[The %s developers])
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/bitcoin-0.17.0/contrib/macdeploy/custom_dsstore.py 
new/bitcoin-0.17.0.1/contrib/macdeploy/custom_dsstore.py
--- old/bitcoin-0.17.0/contrib/macdeploy/custom_dsstore.py  2018-10-01 
12:04:33.0 +0200
+++ new/bitcoin-0.17.0.1/contrib/macdeploy/custom_dsstore.py2018-10-26 
12:01:33.0 +0200
@@ -13,7 +13,7 @@
 ds = DSStore.open(output_file, 'w+')
 ds['.']['bwsp'] = {
 'ShowStatusBar': False,
-'WindowBounds': b'{{300, 280}, {500, 343}}',
+'WindowBounds': '{{300, 280}, {500, 343}}',
 'ContainerShowSidebar': False,
 'SidebarWidth': 0,
 'ShowTabView': False,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/bitcoin-0.17.0/doc/release-notes.md 
new/bitcoin-0.17.0.1/doc/release-notes.md
--- old/bitcoin-0.17.0/doc/release-notes.md 2018-10-01 12:04:33.0 
+0200
+++ new/bitcoin-0.17.0.1/doc/release-notes.md   2018-10-26 12:01:33.0 
+0200
@@ -1,9 +1,6 @@
-(note: this is a temporary file, to be added-to by anybody, and moved to
-release-notes at release time)
+Bitcoin Core version 0.17.0.1 is now available from:
 
-Bitcoin Core version 0.17.0 is now available from:
-
-  
+  
 
 This is a new major version release, including new features, various bugfixes
 and performance improvements, as well as updated translations.
@@ -16,1093 +13,30 @@
 
   
 
-How to Upgrade
-==
-
-If you are running an older version, shut it down. Wait until it has completely
-shut down (which might take a few minutes for older versions), then run the
-installer (on Windows) or just copy over `/Applications/Bitcoin-Qt` (on Mac)
-or `bitcoind`/`bitcoin-qt` (on Linux).
-
-If your node has a txindex, the txindex db will be migrated the first time you 
run 0.17.0 or newer, which may take up to a few hours. Your node will not be 
functional until this migration completes.
-
-The first time you run version 0.15.0 or newer, your chainstate database will 
be converted to a
-new format, 

commit patterns-devel-java for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package patterns-devel-java for 
openSUSE:Factory checked in at 2018-11-05 22:52:35

Comparing /work/SRC/openSUSE:Factory/patterns-devel-java (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-devel-java.new (New)


Package is "patterns-devel-java"

Mon Nov  5 22:52:35 2018 rev:5 rq:646012 version:20170319

Changes:

--- /work/SRC/openSUSE:Factory/patterns-devel-java/patterns-devel-java.changes  
2018-03-22 12:10:32.082022424 +0100
+++ 
/work/SRC/openSUSE:Factory/.patterns-devel-java.new/patterns-devel-java.changes 
2018-11-05 22:52:38.920263897 +0100
@@ -1,0 +2,5 @@
+Sun Sep 30 00:38:58 UTC 2018 - Stasiek Michalski 
+
+- Change icon for Java devel pattern.
+
+---



Other differences:
--
++ patterns-devel-java.spec ++
--- /var/tmp/diff_new_pack.13CXUO/_old  2018-11-05 22:52:39.320263391 +0100
+++ /var/tmp/diff_new_pack.13CXUO/_new  2018-11-05 22:52:39.324263386 +0100
@@ -38,7 +38,7 @@
 Summary:Java Development
 Group:  Metapackages
 Provides:   pattern() = devel_java
-Provides:   pattern-icon() = pattern-basis-devel
+Provides:   pattern-icon() = pattern-java-devel
 Provides:   pattern-order() = 3300
 Provides:   pattern-visible()
 Recommends: ant




commit python-bokeh for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package python-bokeh for openSUSE:Factory 
checked in at 2018-11-05 22:51:29

Comparing /work/SRC/openSUSE:Factory/python-bokeh (Old)
 and  /work/SRC/openSUSE:Factory/.python-bokeh.new (New)


Package is "python-bokeh"

Mon Nov  5 22:51:29 2018 rev:11 rq:645931 version:1.0.1

Changes:

--- /work/SRC/openSUSE:Factory/python-bokeh/python-bokeh.changes
2018-10-31 13:22:00.327025749 +0100
+++ /work/SRC/openSUSE:Factory/.python-bokeh.new/python-bokeh.changes   
2018-11-05 22:51:42.228335610 +0100
@@ -1,0 +2,23 @@
+Thu Nov  1 06:40:31 UTC 2018 - Arun Persaud 
+
+- specfile:
+  * removed devel from noarch
+
+- update to version 1.0.1:
+  * bugfixes:
++ #4096 Bokeh server: color palette rgb is not recognized
++ #8356 [component: bokehjs] Datatable crashes layout if 'field'
+   is key in columndatasource data
++ #8362 Combination of "export_png()" and "show()" causes error
++ #8374 [regression] Garbage collection of export_png()
++ #8375 [component: bokehjs] Ellipse and datetime axis
++ #8388 [component: build] Release deploy updates package-lock
+   incorrectly
+  * tasks:
++ #8367 [component: server] Documentlifecyclehandler should catch
+   exception and clean up callbacks
++ #8369 [component: examples] Histogram example should take edges
+   as argument to make_plot
++ #8387 [component: docs] Bryanv/101 misc docs
+
+---

Old:

  bokeh-1.0.0.tar.gz

New:

  bokeh-1.0.1.tar.gz



Other differences:
--
++ python-bokeh.spec ++
--- /var/tmp/diff_new_pack.NHpyfK/_old  2018-11-05 22:51:42.996334639 +0100
+++ /var/tmp/diff_new_pack.NHpyfK/_new  2018-11-05 22:51:43.004334628 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -20,7 +20,7 @@
 # Tests fail due to missing git data
 %bcond_with tests
 Name:   python-bokeh
-Version:1.0.0
+Version:1.0.1
 Release:0
 Summary:Statistical interactive HTML plots for Python
 License:BSD-3-Clause
@@ -30,7 +30,6 @@
 BuildRequires:  %{python_module Jinja2 >= 2.7}
 BuildRequires:  %{python_module Pillow >= 4.0}
 BuildRequires:  %{python_module PyYAML >= 3.10}
-BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module jupyter_ipython}
 BuildRequires:  %{python_module numpy >= 1.7.1}
 BuildRequires:  %{python_module packaging >= 16.8}
@@ -44,6 +43,22 @@
 BuildRequires:  python-futures >= 3.0.3
 BuildRequires:  python-rpm-macros
 BuildConflicts: python-buildservice-tweak
+Requires:   python-Jinja2 >= 2.7
+Requires:   python-Pillow >= 4.0
+Requires:   python-PyYAML >= 3.10
+Requires:   python-numpy >= 1.7.1
+Requires:   python-packaging >= 16.8
+Requires:   python-python-dateutil >= 2.1
+Requires:   python-requests >= 1.2.3
+Requires:   python-six >= 1.5.2
+Requires:   python-tornado >= 4.3
+Requires(post): update-alternatives
+Requires(preun): update-alternatives
+Recommends: python-icalendar
+Recommends: python-networkx
+Recommends: python-pscript
+Recommends: python-vincent
+BuildArch:  noarch
 %if %{with tests}
 BuildRequires:  %{python_module beautifulsoup4}
 BuildRequires:  %{python_module boto}
@@ -58,26 +73,9 @@
 BuildRequires:  %{python_module selenium}
 BuildRequires:  chromedriver
 %endif
-Requires:   python-Jinja2 >= 2.7
-Requires:   python-Pillow >= 4.0
-Requires:   python-PyYAML >= 3.10
-Requires:   python-numpy >= 1.7.1
-Requires:   python-packaging >= 16.8
-Requires:   python-python-dateutil >= 2.1
-Requires:   python-requests >= 1.2.3
-Requires:   python-six >= 1.5.2
-Requires:   python-tornado >= 4.3
-Recommends: python-icalendar
-Recommends: python-networkx
-Recommends: python-pscript
-Recommends: python-vincent
 %ifpython2
 Requires:   python-futures >= 3.0.3
 %endif
-Requires(post): update-alternatives
-Requires(preun): update-alternatives
-BuildArch:  noarch
-
 %python_subpackages
 
 %description

++ bokeh-1.0.0.tar.gz -> bokeh-1.0.1.tar.gz ++
/work/SRC/openSUSE:Factory/python-bokeh/bokeh-1.0.0.tar.gz 
/work/SRC/openSUSE:Factory/.python-bokeh.new/bokeh-1.0.1.tar.gz differ: char 5, 
line 1




commit php-composer for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package php-composer for openSUSE:Factory 
checked in at 2018-11-05 22:52:03

Comparing /work/SRC/openSUSE:Factory/php-composer (Old)
 and  /work/SRC/openSUSE:Factory/.php-composer.new (New)


Package is "php-composer"

Mon Nov  5 22:52:03 2018 rev:14 rq:646011 version:1.7.3

Changes:

--- /work/SRC/openSUSE:Factory/php-composer/php-composer.changes
2018-08-24 17:14:00.818778657 +0200
+++ /work/SRC/openSUSE:Factory/.php-composer.new/php-composer.changes   
2018-11-05 22:52:05.832305752 +0100
@@ -1,0 +2,13 @@
+Thu Nov  1 20:20:48 UTC 2018 - Yunhe Guo 
+
+- Version 1.7.3
+  * Fixed handling of replace/conflict rules. This may affect dependency
+resolution in some edge cases.
+  * Fixed Bitbucket API support and migrated all calls to API v2 as v1 is
+deprecated
+  * Fixed support for lib-openssl 1.1.1 having only lowercase algorithm names
+  * Fixed escaping of URLs in Perforce and Svn drivers
+  * Fixed show command not respecting --path when a single package name was 
given
+  * Fixed regression in 1.7.2's handling of metapackages
+
+---



Other differences:
--
++ php-composer.spec ++
--- /var/tmp/diff_new_pack.tAJLqK/_old  2018-11-05 22:52:07.408303758 +0100
+++ /var/tmp/diff_new_pack.tAJLqK/_new  2018-11-05 22:52:07.412303754 +0100
@@ -12,12 +12,12 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   php-composer
-Version:1.7.2
+Version:1.7.3
 Release:0
 Summary:Dependency Management for PHP
 License:MIT

++ composer.phar ++
Binary files /var/tmp/diff_new_pack.tAJLqK/_old and 
/var/tmp/diff_new_pack.tAJLqK/_new differ




commit gcc8 for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package gcc8 for openSUSE:Factory checked in 
at 2018-11-05 22:50:23

Comparing /work/SRC/openSUSE:Factory/gcc8 (Old)
 and  /work/SRC/openSUSE:Factory/.gcc8.new (New)


Package is "gcc8"

Mon Nov  5 22:50:23 2018 rev:10 rq:645704 version:8.2.1+r265487

Changes:

--- /work/SRC/openSUSE:Factory/gcc8/cross-aarch64-gcc8.changes  2018-09-11 
17:06:47.784387696 +0200
+++ /work/SRC/openSUSE:Factory/.gcc8.new/cross-aarch64-gcc8.changes 
2018-11-05 22:50:30.788425978 +0100
@@ -1,0 +2,19 @@
+Wed Oct 31 10:34:12 UTC 2018 - rguent...@suse.com
+
+- Add gcc8-pr86751.patch, revert fix for PR86751 which breaks the ABI.
+
+---
+Thu Oct 25 14:32:52 UTC 2018 - rguent...@suse.com
+
+- Update to gcc-8-branch head (r265487).
+  * Pulls in libbacktrace fix.  [bnc#1112690]
+- Add gcc8-pr87642.patch to fix multibyte thousands separator printing.
+  [bnc#1112361]
+
+---
+Thu Sep 13 12:27:43 UTC 2018 - rguent...@suse.com
+
+- Fix AVR configuration to not use __cxa_atexit or libstdc++ headers.
+  Point to /usr/avr/sys-root/include as system header include directory.
+
+---
cross-arm-gcc8.changes: same change
cross-arm-none-gcc8-bootstrap.changes: same change
cross-arm-none-gcc8.changes: same change
cross-avr-gcc8-bootstrap.changes: same change
cross-avr-gcc8.changes: same change
cross-epiphany-gcc8-bootstrap.changes: same change
cross-epiphany-gcc8.changes: same change
cross-hppa-gcc8.changes: same change
cross-i386-gcc8.changes: same change
cross-m68k-gcc8.changes: same change
cross-mips-gcc8.changes: same change
cross-nvptx-gcc8.changes: same change
cross-ppc64-gcc8.changes: same change
cross-ppc64le-gcc8.changes: same change
cross-riscv64-elf-gcc8-bootstrap.changes: same change
cross-riscv64-elf-gcc8.changes: same change
cross-riscv64-gcc8.changes: same change
cross-rx-gcc8-bootstrap.changes: same change
cross-rx-gcc8.changes: same change
cross-s390x-gcc8.changes: same change
cross-sparc-gcc8.changes: same change
cross-sparc64-gcc8.changes: same change
cross-x86_64-gcc8.changes: same change
gcc8-testresults.changes: same change
gcc8.changes: same change

Old:

  gcc-8.2.1+r264010.tar.xz

New:

  gcc-8.2.1+r265487.tar.xz
  gcc8-pr86751.patch
  gcc8-pr87642.patch



Other differences:
--
++ cross-aarch64-gcc8.spec ++
--- /var/tmp/diff_new_pack.IxVODg/_old  2018-11-05 22:50:48.132404039 +0100
+++ /var/tmp/diff_new_pack.IxVODg/_new  2018-11-05 22:50:48.132404039 +0100
@@ -173,7 +173,7 @@
 %define biarch_targets x86_64 s390x powerpc64 powerpc sparc sparc64
 
 Url:http://gcc.gnu.org/
-Version:8.2.1+r264010
+Version:8.2.1+r265487
 Release:0
 %define gcc_dir_version %(echo %version |  sed 's/+.*//' | cut -d '.' -f 1)
 %define gcc_snapshot_revision %(echo %version | sed 's/[3-9]\.[0-9]\.[0-6]//' 
| sed 's/+/-/')
@@ -195,6 +195,8 @@
 Patch15:gcc7-avoid-fixinc-error.diff
 Patch16:libffi-riscv.patch
 Patch17:riscv-builtin-eh-return.patch
+Patch18:gcc8-pr87642.patch
+Patch19:gcc8-pr86751.patch
 # A set of patches from the RH srpm
 Patch51:gcc41-ppc32-retaddr.patch
 # Some patches taken from Debian
@@ -271,6 +273,8 @@
 %patch15
 %patch16
 %patch17 -p1
+%patch18
+%patch19 -R
 %patch51
 %patch60
 %patch61
@@ -397,7 +401,6 @@
--with-pkgversion="SUSE Linux" \
--with-slibdir=/%{_lib} \
--with-system-zlib \
-   --enable-__cxa_atexit \
--enable-libstdcxx-allocator=new \
--disable-libstdcxx-pch \
 %if 0%{suse_version} <= 1320
@@ -455,6 +458,11 @@
--disable-sjlj-exceptions \
--enable-newlib-io-long-long \
 %endif
+%if "%{TARGET_ARCH}" == "avr"
+   --enable-lto \
+   --without-gxx-include-dir \
+   --with-native-system-header-dir=/include \
+%endif
 %endif
 %if "%{TARGET_ARCH}" == "arm"
 --with-arch=armv6zk \

cross-arm-gcc8.spec: same change
cross-arm-none-gcc8-bootstrap.spec: same change
cross-arm-none-gcc8.spec: same change
cross-avr-gcc8-bootstrap.spec: same change
cross-avr-gcc8.spec: same change
cross-epiphany-gcc8-bootstrap.spec: same change
cross-epiphany-gcc8.spec: same change
cross-hppa-gcc8.spec: same change
cross-i386-gcc8.spec: same change
cross-m68k-gcc8.spec: same change
cross-mips-gcc8.spec: same change
cross-nvptx-gcc8.spec: same change
cross-ppc64-gcc8.spec: same change
cross-ppc64le-gcc8.spec: same change
cross-riscv64-elf-gcc8-bootstrap.spec: same change
cross-riscv64-elf-gcc8.spec: same change
cross-riscv64-gcc8.spec: same change
cross-rx-gcc8-bootstrap.spec: same change

commit permissions for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package permissions for openSUSE:Factory 
checked in at 2018-11-05 22:49:49

Comparing /work/SRC/openSUSE:Factory/permissions (Old)
 and  /work/SRC/openSUSE:Factory/.permissions.new (New)


Package is "permissions"

Mon Nov  5 22:49:49 2018 rev:119 rq:645523 version:20181030

Changes:

--- /work/SRC/openSUSE:Factory/permissions/permissions.changes  2018-08-28 
09:19:52.471967860 +0200
+++ /work/SRC/openSUSE:Factory/.permissions.new/permissions.changes 
2018-11-05 22:49:54.648471693 +0100
@@ -1,0 +2,18 @@
+Tue Oct 30 12:13:21 UTC 2018 - opensuse-packag...@opensuse.org
+
+- Update to version 20181030:
+  * capability whitelisting: allow cap_net_bind_service for ns-slapd from 
389-ds
+
+---
+Mon Oct 29 16:59:05 UTC 2018 - opensuse-packag...@opensuse.org
+
+- Update to version 20181029:
+  * setuid whitelisting: add fusermount3 (bsc#230)
+
+---
+Thu Oct 25 16:13:46 UTC 2018 - opensuse-packag...@opensuse.org
+
+- Update to version 20181025:
+  * setuid whitelisting: add authbind binary (bsc#251)
+
+---

Old:

  permissions-20180827.tar.xz

New:

  permissions-20181030.tar.xz



Other differences:
--
++ permissions.spec ++
--- /var/tmp/diff_new_pack.b2oDpz/_old  2018-11-05 22:49:55.184471015 +0100
+++ /var/tmp/diff_new_pack.b2oDpz/_new  2018-11-05 22:49:55.184471015 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   permissions
-Version:20180827
+Version:20181030
 Release:0
 Summary:SUSE Linux Default Permissions
 # Maintained in github by the security team.

++ _servicedata ++
--- /var/tmp/diff_new_pack.b2oDpz/_old  2018-11-05 22:49:55.232470955 +0100
+++ /var/tmp/diff_new_pack.b2oDpz/_new  2018-11-05 22:49:55.232470955 +0100
@@ -1,4 +1,4 @@
 
 
 https://github.com/openSUSE/permissions.git
-  492fb646f85ecf25c9c13f8c944ff6c6b443e8d8
\ No newline at end of file
+  2a511608aeccb6f43d94e0086f3878a7465b235a
\ No newline at end of file

++ permissions-20180827.tar.xz -> permissions-20181030.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/permissions-20180827/permissions.easy 
new/permissions-20181030/permissions.easy
--- old/permissions-20180827/permissions.easy   2018-08-27 11:09:15.0 
+0200
+++ new/permissions-20181030/permissions.easy   2018-10-30 13:11:09.0 
+0100
@@ -444,3 +444,13 @@
 
 # firejail (bsc#1059013)
 /usr/bin/firejail   root:firejail   04750
+
+# authbind (bsc#251)
+/usr/lib/authbind/helperroot:root   04755
+
+# fuse3 (bsc#230)
+/usr/bin/fusermount3root:trusted04755
+
+# 389-ds (bsc#564)
+/usr/sbin/ns-slapd root:dirsrv 0750
+ +capabilities cap_net_bind_service=ep
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/permissions-20180827/permissions.paranoid 
new/permissions-20181030/permissions.paranoid
--- old/permissions-20180827/permissions.paranoid   2018-08-27 
11:09:15.0 +0200
+++ new/permissions-20181030/permissions.paranoid   2018-10-30 
13:11:09.0 +0100
@@ -451,3 +451,12 @@
 
 # firejail (bsc#1059013)
 /usr/bin/firejail   root:firejail   0750
+
+# authbind (bsc#251)
+/usr/lib/authbind/helperroot:root   0755
+
+# fuse3 (bsc#230)
+/usr/bin/fusermount3root:trusted0755
+
+# 389-ds (bsc#564)
+/usr/sbin/ns-slapd root:dirsrv 0750
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/permissions-20180827/permissions.secure 
new/permissions-20181030/permissions.secure
--- old/permissions-20180827/permissions.secure 2018-08-27 11:09:15.0 
+0200
+++ new/permissions-20181030/permissions.secure 2018-10-30 13:11:09.0 
+0100
@@ -480,3 +480,13 @@
 
 # firejail (bsc#1059013)
 /usr/bin/firejail   root:firejail   04750
+
+# authbind (bsc#251)
+/usr/lib/authbind/helperroot:root   04755
+
+# fuse3 (bsc#230)
+/usr/bin/fusermount3root:trusted04750
+
+# 389-ds (bsc#564)
+/usr/sbin/ns-slapd root:dirsrv 0750
+ +capabilities cap_net_bind_service=ep




commit hostname for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package hostname for openSUSE:Factory 
checked in at 2018-11-05 22:49:15

Comparing /work/SRC/openSUSE:Factory/hostname (Old)
 and  /work/SRC/openSUSE:Factory/.hostname.new (New)


Package is "hostname"

Mon Nov  5 22:49:15 2018 rev:7 rq:644713 version:3.21

Changes:

--- /work/SRC/openSUSE:Factory/hostname/hostname.changes2018-04-10 
09:48:19.965242950 +0200
+++ /work/SRC/openSUSE:Factory/.hostname.new/hostname.changes   2018-11-05 
22:49:19.948515587 +0100
@@ -1,0 +2,6 @@
+Thu Oct 18 03:10:44 UTC 2018 - s...@suspend.net
+
+- Update to 3.21:
+  * Minor fixes to the manpage
+
+---

Old:

  hostname-3.20.tar.gz

New:

  hostname-3.21.tar.gz



Other differences:
--
++ hostname.spec ++
--- /var/tmp/diff_new_pack.v5Neam/_old  2018-11-05 22:49:20.396515020 +0100
+++ /var/tmp/diff_new_pack.v5Neam/_new  2018-11-05 22:49:20.400515015 +0100
@@ -12,12 +12,12 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   hostname
-Version:3.20
+Version:3.21
 Release:0
 Summary:Utility to Set/Show the Host Name or Domain Name
 License:GPL-2.0-or-later

++ hostname-3.20.tar.gz -> hostname-3.21.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hostname/debian/changelog 
new/hostname/debian/changelog
--- old/hostname/debian/changelog   2018-01-31 13:08:15.0 +0100
+++ new/hostname/debian/changelog   2018-09-27 10:45:17.0 +0200
@@ -1,3 +1,11 @@
+hostname (3.21) unstable; urgency=medium
+
+  * Minor fixes to the manpage.
+Thanks to Bjarni Ingi Gislason  (Closes: #900857)
+  * Bumped Standards-Version, no changes needed.
+
+ -- Michael Meskes   Thu, 27 Sep 2018 10:45:17 +0200
+
 hostname (3.20) unstable; urgency=medium
 
   * Removed old alioth list from maintainers field.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hostname/debian/control new/hostname/debian/control
--- old/hostname/debian/control 2018-01-31 13:07:53.0 +0100
+++ new/hostname/debian/control 2018-09-27 10:45:17.0 +0200
@@ -2,7 +2,7 @@
 Section: admin
 Priority: required
 Maintainer: Michael Meskes 
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1.1
 Build-Depends: debhelper (>= 11)
 
 Package: hostname
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hostname/hostname.1 new/hostname/hostname.1
--- old/hostname/hostname.1 2018-01-30 11:25:42.0 +0100
+++ new/hostname/hostname.1 2018-09-27 10:41:06.0 +0200
@@ -62,36 +62,36 @@
 .LP
 .B domainname
 will print the NIS domainname of the system.
-.BR domainname
+.B domainname
 uses the
 .BR gethostname (2)
 function, while
-.BR ypdomainname
+.B ypdomainname
 and
-.BR nisdomainname
+.B nisdomainname
 use the
 .BR getdomainname (2).
 .LP
 .B dnsdomainname
 will print the domain part of the FQDN (Fully Qualified Domain Name). The
 complete FQDN of the system is returned with
-.BR "hostname \-\-fqdn"
+.B hostname \-\-fqdn
 (but see the warnings in section
-.B "THE FQDN"
+.B THE FQDN
 below).
 
 .SS "SET NAME"
 When called with one argument or with the
 .B \-\-file
 option, the commands set the host name or the NIS/YP domain name.
-.BR hostname
+.B hostname
 uses the
 .BR sethostname (2)
 function, while all of the three
-.BR domainname,
-.BR ypdomainname
+.BR domainname ,
+.B ypdomainname
 and
-.BR nisdomainname
+.B nisdomainname
 use
 .BR setdomainname (2).
 Note, that this is effective only until the next reboot.
@@ -102,7 +102,7 @@
 It is not possible to set the FQDN or the DNS domain name with the
 .B dnsdomainname
 command (see
-.B "THE FQDN"
+.B THE FQDN
 below).
 .LP
 The host name is usually set once at system startup in
@@ -118,7 +118,7 @@
 .IR ursula.example.com .
 It is usually the hostname followed by the DNS domain name (the part
 after the first dot).  You can check the FQDN using
-.B "hostname \-\-fqdn"
+.B hostname \-\-fqdn
 or the domain name using
 .BR "dnsdomainname" .
 .LP
@@ -154,10 +154,10 @@
 mobile environment, then it may either have multiple FQDNs/domain names
 or none at all. Therefore avoid using
 .BR "hostname \-\-fqdn" ,
-.BR "hostname \-\-domain"
+.B hostname \-\-domain
 and
 .BR "dnsdomainname" .
-.BR "hostname \-\-ip-address"
+.B hostname \-\-ip-address
 is subject to the same limitations so it should be avoided as well.
 
 .SH 

commit expect for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package expect for openSUSE:Factory checked 
in at 2018-11-05 22:48:39

Comparing /work/SRC/openSUSE:Factory/expect (Old)
 and  /work/SRC/openSUSE:Factory/.expect.new (New)


Package is "expect"

Mon Nov  5 22:48:39 2018 rev:27 rq:644610 version:5.45.4

Changes:

--- /work/SRC/openSUSE:Factory/expect/expect.changes2017-11-14 
14:00:46.795605234 +0100
+++ /work/SRC/openSUSE:Factory/.expect.new/expect.changes   2018-11-05 
22:48:43.184562091 +0100
@@ -1,0 +2,6 @@
+Thu Oct 25 09:10:24 UTC 2018 - Reinhard Max 
+
+- New version 5.45.4:
+  * Fix two bugs in EOF handling.
+
+---

Old:

  expect-5.45.3.tar.gz

New:

  expect5.45.4.tar.gz



Other differences:
--
++ expect.spec ++
--- /var/tmp/diff_new_pack.vgJkOH/_old  2018-11-05 22:48:44.512560411 +0100
+++ /var/tmp/diff_new_pack.vgJkOH/_new  2018-11-05 22:48:44.516560405 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package expect
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,18 +12,18 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   expect
-Version:5.45.3
+Version:5.45.4
 Release:0
 Summary:A Tool for Automating Interactive Programs
 License:SUSE-Public-Domain
 Group:  Development/Languages/Tcl
 Url:http://expect.nist.gov
-Source: 
http://downloads.sourceforge.net/project/%{name}/Expect/%{version}/%{name}%{version}.tar.gz#/%{name}-%{version}.tar.gz
+Source: https://downloads.sourceforge.net/expect/expect%version.tar.gz
 Source1:expect-rpmlintrc
 Patch1: expect.patch
 Patch2: expect-fixes.patch

++ expect-5.45.3.tar.gz -> expect5.45.4.tar.gz ++
 9934 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/expect5.45.3/ChangeLog new/expect5.45.4/ChangeLog
--- old/expect5.45.3/ChangeLog  2014-05-01 21:22:23.0 +0200
+++ new/expect5.45.4/ChangeLog  2018-02-04 14:52:14.0 +0100
@@ -1,3 +1,14 @@
+2018-02-04  Nils Carlson 
+
+   * exp_inter.c: [https://sourceforge.net/p/expect/patches/22/]
+   Fix interact bug - handle reads of 0 length on
+   non-blocking channels by explicitly checking if the channel
+   is non-blocking. Fix by Jack Bates.
+
+   * expect.c: [https://sourceforge.net/p/expect/patches/21/]
+   Fix eof bug introduced with previous bug fix - ensure that data
+   received just before an eof is processed. Fix by Sergei Golovan.
+
 2014-05-01  Andreas Kupries 
 
* exp_main_sub.c: Updated EXP_VERSION to 5.45.3
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/expect5.45.3/configure.in new/expect5.45.4/configure.in
--- old/expect5.45.3/configure.in   2014-05-01 21:22:24.0 +0200
+++ new/expect5.45.4/configure.in   2018-02-04 11:43:58.0 +0100
@@ -1,9 +1,9 @@
 dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
-AC_REVISION($Id: configure.in,v 5.83 2014/05/01 19:22:24 andreas_kupries Exp $)
+AC_REVISION($Id: configure.in,v 5.82 2013/11/04 19:03:00 andreas_kupries Exp $)
 
-AC_INIT([expect],[5.45.3])
+AC_INIT([expect],[5.45.4])
 
 TEA_INIT([3.9])
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/expect5.45.3/exp_clib.c new/expect5.45.4/exp_clib.c
--- old/expect5.45.3/exp_clib.c 2010-09-01 00:20:27.0 +0200
+++ new/expect5.45.4/exp_clib.c 2018-02-02 20:15:52.0 +0100
@@ -78,7 +78,7 @@
  * See the 

commit libatomic_ops for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package libatomic_ops for openSUSE:Factory 
checked in at 2018-11-05 22:48:05

Comparing /work/SRC/openSUSE:Factory/libatomic_ops (Old)
 and  /work/SRC/openSUSE:Factory/.libatomic_ops.new (New)


Package is "libatomic_ops"

Mon Nov  5 22:48:05 2018 rev:11 rq:644194 version:7.6.6

Changes:

--- /work/SRC/openSUSE:Factory/libatomic_ops/libatomic_ops.changes  
2018-02-09 15:40:59.169523034 +0100
+++ /work/SRC/openSUSE:Factory/.libatomic_ops.new/libatomic_ops.changes 
2018-11-05 22:48:16.860595388 +0100
@@ -1,0 +2,10 @@
+Wed Oct 24 05:09:08 UTC 2018 - s...@suspend.net
+
+- Update to new upstream release 7.6.6
+  * Fix undefined reference to __atomic_load/store/cas_16
+  * Fix a typo in the overview section of README
+  * Fix comments style in configure.ac and Makefile.am
+  * Update copyright information in README and some header files
+- Remove patch libatomic_ops-ppc64.patch, looks merged
+
+---

Old:

  libatomic_ops-7.6.2.tar.gz
  libatomic_ops-ppc64.patch

New:

  libatomic_ops-7.6.6.tar.gz



Other differences:
--
++ libatomic_ops.spec ++
--- /var/tmp/diff_new_pack.qDyUWE/_old  2018-11-05 22:48:18.236593648 +0100
+++ /var/tmp/diff_new_pack.qDyUWE/_new  2018-11-05 22:48:18.240593642 +0100
@@ -12,21 +12,20 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   libatomic_ops
-Version:7.6.2
+Version:7.6.6
 Release:0
 Summary:A portable library for atomic memory operations
-License:GPL-2.0+ and MIT
+License:GPL-2.0-or-later AND MIT
 Group:  Development/Languages/C and C++
 Url:https://github.com/ivmai/libatomic_ops
 
 #Git-Clone:git://github.com/ivmai/libatomic_ops
 Source: http://www.ivmaisoft.com/_bin/atomic_ops/%name-%version.tar.gz
-Patch1: libatomic_ops-ppc64.patch
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  libtool
@@ -54,7 +53,6 @@
 
 %prep
 %setup -q
-%patch -P 1 -p1
 
 %build
 autoreconf -fiv

++ libatomic_ops-7.6.2.tar.gz -> libatomic_ops-7.6.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libatomic_ops-7.6.2/AUTHORS 
new/libatomic_ops-7.6.6/AUTHORS
--- old/libatomic_ops-7.6.2/AUTHORS 2017-12-24 09:31:12.0 +0100
+++ new/libatomic_ops-7.6.6/AUTHORS 2018-08-07 09:33:44.0 +0200
@@ -43,10 +43,12 @@
 Ranko Zivojnovic 
 Roger Hoover 
 Sebastian Siewior 
+Shea Levy 
 Steve Capper 
 Takashi Yoshii 
 Thiemo Seufer 
 Thorsten Glaser 
 Tobias Leich 
 Tony Mantler 
+YunQiang Su 
 Yvan Roux 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libatomic_ops-7.6.2/COPYING 
new/libatomic_ops-7.6.6/COPYING
--- old/libatomic_ops-7.6.2/COPYING 2017-12-24 09:31:12.0 +0100
+++ new/libatomic_ops-7.6.6/COPYING 2018-08-07 09:33:44.0 +0200
@@ -1,12 +1,12 @@
-   GNU GENERAL PUBLIC LICENSE
-  Version 2, June 1991
+GNU GENERAL PUBLIC LICENSE
+   Version 2, June 1991
 
- Copyright (C) 1989, 1991 Free Software Foundation, Inc.
- 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
+ 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 
-   Preamble
+Preamble
 
   The licenses for most software are designed to take away your
 freedom to share and change it.  By contrast, the GNU General Public
@@ -15,7 +15,7 @@
 General Public License applies to most of the Free Software
 Foundation's software and to any other program whose authors commit to
 using it.  (Some other Free Software Foundation software is covered by
-the GNU Library General Public License instead.)  You can apply it to
+the GNU Lesser General Public License instead.)  You can apply it to
 your programs, too.
 
   When we speak of free software, we are referring to freedom, not
@@ -55,8 +55,8 @@
 
   The precise terms and conditions for copying, distribution and
 modification follow.
-
-   GNU GENERAL PUBLIC LICENSE
+
+GNU GENERAL PUBLIC LICENSE
TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
   0. This License applies to any program 

commit build for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package build for openSUSE:Factory checked 
in at 2018-11-05 22:47:31

Comparing /work/SRC/openSUSE:Factory/build (Old)
 and  /work/SRC/openSUSE:Factory/.build.new (New)


Package is "build"

Mon Nov  5 22:47:31 2018 rev:118 rq:643708 version:20181022

Changes:

--- /work/SRC/openSUSE:Factory/build/build.changes  2018-09-11 
17:07:03.844362520 +0200
+++ /work/SRC/openSUSE:Factory/.build.new/build.changes 2018-11-05 
22:47:35.620647553 +0100
@@ -1,0 +2,14 @@
+Mon Oct 22 09:43:20 UTC 2018 - Adrian Schröter 
+
+- require psmisc util for fuser
+- Start debian support for kiwi images/containers
+- Support building with unordered repositories for kiwi/docker builds
+- Write the package list of the base container in kiwi container builds
+- Support kiwi's "additionaltags" attribute (added in kiwi 9.15.3)
+- Add some substitutes for the extra container tags
+- Support "OBS-AddTag" directive to set multiple container tags in kiwi builds
+- Archlinux updates
+- SLE 12 SP4 config
+- Appimage: support source file parsing
+
+---

Old:

  obs-build-20180830.tar.gz

New:

  obs-build-20181022.tar.gz



Other differences:
--
++ build.spec ++
--- /var/tmp/diff_new_pack.oVL8Aj/_old  2018-11-05 22:47:38.704643652 +0100
+++ /var/tmp/diff_new_pack.oVL8Aj/_new  2018-11-05 22:47:38.704643652 +0100
@@ -22,7 +22,7 @@
 Summary:A Script to Build SUSE Linux RPMs
 License:GPL-2.0-or-later AND GPL-2.0-only
 Group:  Development/Tools/Building
-Version:20180830
+Version:20181022
 Release:0
 Source: obs-build-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -33,6 +33,14 @@
 Requires:   binutils
 Requires:   perl
 Requires:   tar
+# needed for fuser
+Requires:   psmisc
+# just to verify existence of packages
+BuildRequires:  bash
+BuildRequires:  binutils
+BuildRequires:  perl
+BuildRequires:  psmisc
+BuildRequires:  tar
 %if 0%{?fedora}
 Requires:   perl-MD5
 Requires:   perl-TimeDate

++ PKGBUILD ++
--- /var/tmp/diff_new_pack.oVL8Aj/_old  2018-11-05 22:47:38.756643586 +0100
+++ /var/tmp/diff_new_pack.oVL8Aj/_new  2018-11-05 22:47:38.760643581 +0100
@@ -1,5 +1,5 @@
 pkgname=build
-pkgver=20180830
+pkgver=20181022
 pkgrel=0
 pkgdesc="Build packages in sandbox"
 arch=('i686' 'x86_64')

++ build.dsc ++
--- /var/tmp/diff_new_pack.oVL8Aj/_old  2018-11-05 22:47:38.796643536 +0100
+++ /var/tmp/diff_new_pack.oVL8Aj/_new  2018-11-05 22:47:38.796643536 +0100
@@ -1,6 +1,6 @@
 Format: 1.0
 Source: build
-Version: 20180830
+Version: 20181022
 Binary: build
 Maintainer: Adrian Schroeter 
 Architecture: all

++ debian.changelog ++
--- /var/tmp/diff_new_pack.oVL8Aj/_old  2018-11-05 22:47:38.816643510 +0100
+++ /var/tmp/diff_new_pack.oVL8Aj/_new  2018-11-05 22:47:38.816643510 +0100
@@ -1,4 +1,4 @@
-build (20180830) unstable; urgency=low
+build (20181022) unstable; urgency=low
 
   * Update to current git trunk
 - add sles11sp2 build config and adapt autodetection

++ obs-build-20180830.tar.gz -> obs-build-20181022.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/obs-build-20180830/Build/Docker.pm 
new/obs-build-20181022/Build/Docker.pm
--- old/obs-build-20180830/Build/Docker.pm  2018-08-30 11:14:11.0 
+0200
+++ new/obs-build-20181022/Build/Docker.pm  2018-10-22 12:11:51.0 
+0200
@@ -20,7 +20,8 @@
 
 package Build::Docker;
 
-use Build::SimpleXML;
+use Build::SimpleXML;  # to parse the annotation
+use Build::SimpleJSON;
 
 use strict;
 
@@ -44,9 +45,10 @@
 }
 
 sub addrepo {
-  my ($ret, $url) = @_;
+  my ($ret, $url, $prio) = @_;
 
-  unshift @{$ret->{'repo_urls'}}, $url;
+  unshift @{$ret->{'imagerepos'}}, { 'url' => $url };
+  $ret->{'imagerepos'}->[0]->{'priority'} = $prio if defined $prio;
   if ($Build::Kiwi::urlmapper) {
 my $prp = $Build::Kiwi::urlmapper->($url);
 if (!$prp) {
@@ -55,15 +57,17 @@
 }
 my ($projid, $repoid) = split('/', $prp, 2);
 unshift @{$ret->{'path'}}, {'project' => $projid, 'repository' => $repoid};
-return;
+$ret->{'path'}->[0]->{'priority'} = $prio if defined $prio;
+return 1;
   } else {
 # this is just for testing purposes...
 $url =~ s/^\/+$//;
 $url =~ s/:\//:/g;
 my @url = split('/', $url);
 unshift @{$ret->{'path'}}, {'project' => $url[-2], 'repository' => 
$url[-1]} if @url >= 2;
+$ret->{'path'}->[0]->{'priority'} = $prio if defined $prio;
+return 1;
   }
-  return 1;
 }
 
 sub cmd_zypper {
@@ -134,6 +138,7 @@
   my ($cf, $fn) = @_;
 
   my $basecontainer;
+  my 

commit pam for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package pam for openSUSE:Factory checked in 
at 2018-11-05 22:46:56

Comparing /work/SRC/openSUSE:Factory/pam (Old)
 and  /work/SRC/openSUSE:Factory/.pam.new (New)


Package is "pam"

Mon Nov  5 22:46:56 2018 rev:93 rq:643706 version:1.3.1

Changes:

--- /work/SRC/openSUSE:Factory/pam/pam.changes  2018-09-03 10:32:25.288255207 
+0200
+++ /work/SRC/openSUSE:Factory/.pam.new/pam.changes 2018-11-05 
22:47:03.592688065 +0100
@@ -1,0 +2,22 @@
+Mon Oct 22 07:42:19 UTC 2018 - josef.moell...@suse.com
+
+- Upgrade to 1.3.1
+  * pam_motd: add support for a motd.d directory
+  * pam_umask: Fix documentation to align with order of loading umask
+  * pam_get_user.3: Fix missing word in documentation
+  * pam_tally2 --reset: avoid creating a missing tallylog file
+  * pam_mkhomedir: Allow creating parent of homedir under /
+  * access.conf.5: Add note about spaces around ':'
+  * pam.8: Workaround formatting problem
+  * pam_unix: Check return value of malloc used for setcred data
+  * pam_cracklib: Drop unused prompt macros
+  * pam_tty_audit: Support matching users by uid range
+  * pam_access: support parsing files in /etc/security/access.d/*.conf
+  * pam_localuser: Correct documentation
+  * pam_issue: Fix no prompting in parse escape codes mode
+  * Unification and cleanup of syslog log levels
+  Also: removed nproc limit, referred to systemd instead.
+  Patch5 (pam-fix-config-order-in-manpage.patch) not needed any more.
+  [bsc#1112508, pam-fix-config-order-in-manpage.patch]
+
+---

Old:

  Linux-PAM-1.3.0-docs.tar.bz2
  Linux-PAM-1.3.0.tar.bz2
  pam-fix-config-order-in-manpage.patch

New:

  Linux-PAM-1.3.1-docs.tar.xz
  Linux-PAM-1.3.1.tar.xz



Other differences:
--
++ pam.spec ++
--- /var/tmp/diff_new_pack.qC81AK/_old  2018-11-05 22:47:05.164686077 +0100
+++ /var/tmp/diff_new_pack.qC81AK/_new  2018-11-05 22:47:05.164686077 +0100
@@ -27,6 +27,7 @@
 BuildRequires:  flex
 %if 0%{?suse_version} > 1320
 BuildRequires:  libdb-4_8-devel
+BuildRequires:  xz
 BuildRequires:  pkgconfig(libnsl)
 BuildRequires:  pkgconfig(libtirpc)
 %endif
@@ -37,7 +38,7 @@
 %define libpam_misc_so_version 0.82.1
 %define libpamc_so_version 0.82.1
 #
-Version:1.3.0
+Version:1.3.1
 Release:0
 Summary:A Security Tool that Provides Authentication for Applications
 License:GPL-2.0-or-later OR BSD-3-Clause
@@ -49,8 +50,8 @@
 %endif
 
 #DL-URL:   https://fedorahosted.org/releases/l/i/linux-pam/
-Source: Linux-PAM-%{version}.tar.bz2
-Source1:Linux-PAM-%{version}-docs.tar.bz2
+Source: Linux-PAM-%{version}.tar.xz
+Source1:Linux-PAM-%{version}-docs.tar.xz
 Source2:securetty
 Source3:other.pamd
 Source4:common-auth.pamd
@@ -65,7 +66,6 @@
 Patch2: pam-limit-nproc.patch
 Patch3: encryption_method_nis.diff
 Patch4: pam-hostnames-in-access_conf.patch
-Patch5: pam-fix-config-order-in-manpage.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  libdb-4_8-devel
 # Remove with next version update:
@@ -118,7 +118,6 @@
 %patch2 -p1
 %patch3 -p0
 %patch4 -p0
-%patch5 -p1
 
 %build
 autoreconf -fiv

++ pam-limit-nproc.patch ++
--- /var/tmp/diff_new_pack.qC81AK/_old  2018-11-05 22:47:05.288685920 +0100
+++ /var/tmp/diff_new_pack.qC81AK/_new  2018-11-05 22:47:05.292685915 +0100
@@ -1,15 +1,11 @@
-Index: Linux-PAM-1.3.0/modules/pam_limits/limits.conf
+Index: Linux-PAM-1.3.1/modules/pam_limits/limits.conf
 ===
 Linux-PAM-1.3.0.orig/modules/pam_limits/limits.conf
-+++ Linux-PAM-1.3.0/modules/pam_limits/limits.conf
-@@ -47,4 +47,10 @@
+--- Linux-PAM-1.3.1.orig/modules/pam_limits/limits.conf
 Linux-PAM-1.3.1/modules/pam_limits/limits.conf
+@@ -47,4 +47,6 @@
  #ftp hardnproc   0
  #@student-   maxlogins   4
  
-+# harden against fork-bombs
-+*   hardnproc   16384
-+*   softnproc   4096
-+# roothardnproc   3000
-+# rootsoftnproc   1850
++# No limits for nproc, use systemd configuration instead
 +
  # End of file




commit 000product for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2018-11-05 15:36:15

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new (New)


Package is "000product"

Mon Nov  5 15:36:15 2018 rev:641 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
_service:product_converter:openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi: same 
change
_service:product_converter:openSUSE-Addon-NonOss-release.spec: same change
++ 
_service:product_converter:openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.iVlIfI/_old  2018-11-05 15:36:30.043007411 +0100
+++ /var/tmp/diff_new_pack.iVlIfI/_new  2018-11-05 15:36:30.043007411 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,9 +35,9 @@
   true
   -x -2
   openSUSE
-  20181102
+  20181103
   11
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181102,openSUSE 
Tumbleweed Kubic
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181103,openSUSE 
Tumbleweed Kubic
   en_US 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ _service:product_converter:openSUSE-Tumbleweed-Kubic-release.spec ++
--- /var/tmp/diff_new_pack.iVlIfI/_old  2018-11-05 15:36:30.059007395 +0100
+++ /var/tmp/diff_new_pack.iVlIfI/_new  2018-11-05 15:36:30.059007395 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   openSUSE-Tumbleweed-Kubic-release
-Version:20181102
+Version:20181103
 Release:0
 Summary:openSUSE Tumbleweed Kubic 
 License:GPL-2.0-or-later
@@ -38,9 +38,9 @@
 ExclusiveArch:  %ix86 x86_64 ppc64le s390x aarch64
 Provides:   %name-%version
 Provides:   product() = openSUSE-Tumbleweed-Kubic
-Provides:   product(openSUSE-Tumbleweed-Kubic) = 20181102-0
+Provides:   product(openSUSE-Tumbleweed-Kubic) = 20181103-0
 Provides:   product-label() = openSUSE%20Tumbleweed%20Kubic
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20181102
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20181103
 Provides:   product-url(releasenotes) = 
http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
 Provides:   product-endoflife()
 Requires:   product_flavor(openSUSE-Tumbleweed-Kubic)
@@ -61,7 +61,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(dvd)
-Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20181102-0
+Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20181103-0
 Summary:openSUSE Tumbleweed Kubic
 
 %description dvd
@@ -123,11 +123,11 @@
 
   openSUSE
   openSUSE-Tumbleweed-Kubic
-  20181102
+  20181103
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181102
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20181103
   openSUSE-Tumbleweed-Kubic
   
 

++ _service:product_converter:openSUSE-cd-mini-i586.kiwi ++
--- /var/tmp/diff_new_pack.iVlIfI/_old  2018-11-05 15:36:30.071007382 +0100
+++ /var/tmp/diff_new_pack.iVlIfI/_new  2018-11-05 15:36:30.075007378 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,9 +32,9 @@
   true
   -x -2
   openSUSE
-  20181102
+  20181103
   11
-  cpe:/o:opensuse:opensuse:20181102,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20181103,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

_service:product_converter:openSUSE-cd-mini-x86_64.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-i586.kiwi: same change
_service:product_converter:openSUSE-dvd5-dvd-x86_64.kiwi: same change
++ _service:product_converter:openSUSE-ftp-ftp-i586_x86_64.kiwi ++
--- /var/tmp/diff_new_pack.iVlIfI/_old  2018-11-05 15:36:30.135007315 +0100
+++ /var/tmp/diff_new_pack.iVlIfI/_new  2018-11-05 15:36:30.139007311 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -24,7 +24,7 @@
   openSUSE
   ftp
   true
-  openSUSE-20181102-i586-x86_64
+  openSUSE-20181103-i586-x86_64
   true
   /
   $DISTNAME-$FLAVOR
@@ -36,9 +36,9 @@
   true
   -x -2
   openSUSE
-  20181102
+  20181103
   11
-  cpe:/o:opensuse:opensuse:20181102,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20181103,openSUSE 
Tumbleweed
   cs da de en en_GB en_US es fi fr hu it ja nb 
nl pl pt pt_BR ru sv zh zh_CN zh_TW 
   openSUSE
   

commit installation-images for openSUSE:Factory

2018-11-05 Thread root
Hello community,

here is the log from the commit of package installation-images for 
openSUSE:Factory checked in at 2018-11-05 15:34:39

Comparing /work/SRC/openSUSE:Factory/installation-images (Old)
 and  /work/SRC/openSUSE:Factory/.installation-images.new (New)


Package is "installation-images"

Mon Nov  5 15:34:39 2018 rev:58 rq:646428 version:14.388

Changes:

--- /work/SRC/openSUSE:Factory/installation-images/installation-images.changes  
2018-10-25 08:09:56.412282433 +0200
+++ 
/work/SRC/openSUSE:Factory/.installation-images.new/installation-images.changes 
2018-11-05 15:34:47.291115151 +0100
@@ -1,0 +2,17 @@
+Mon Nov 5 13:36:59 UTC 2018 - snw...@suse.de
+
+- merge gh#openSUSE/installation-images#270
+- Kubic has its own skelcd package now (bsc#1114455)
+- 14.388
+
+---
+Mon Nov  5 12:56:35 UTC 2018 - Richard Brown 
+
+- Use skelcd-control-Kubic for Kubic flavour (boo#1114455)
+
+---
+Mon Oct 22 13:35:04 UTC 2018 - Guillaume GARDET 
+
+- Handle aarch64 and ppc64/ppc64le repos
+
+

Old:

  installation-images-14.387.tar.xz

New:

  installation-images-14.388.tar.xz



Other differences:
--
++ installation-images.spec ++
--- /var/tmp/diff_new_pack.19djkC/_old  2018-11-05 15:34:47.815114602 +0100
+++ /var/tmp/diff_new_pack.19djkC/_new  2018-11-05 15:34:47.815114602 +0100
@@ -34,6 +34,14 @@
 %bcond_with xen
 %bcond_with xenkmp
 
+# ===  Repo arch may differ from OBS build arch  ===
+
+%define the_arch %{_target_cpu}
+%ifarch ppc64 ppc64le
+%define the_arch ppc
+%endif
+
+
 # ===  sort out which flavor to build  ===
 
 %if "%flavor" == "openSUSE"
@@ -44,12 +52,20 @@
 %if "%{the_version}" == ""
 %error "bad version string"
 %endif
+%ifarch aarch64 ppc64 ppc64le
+%define net_repo 
http://download.opensuse.org/ports/%{the_arch}/distribution/leap/%{the_version}/repo/oss/
+%else
 %define net_repo 
http://download.opensuse.org/distribution/leap/%{the_version}/repo/oss
+%endif
+%else
+%ifarch aarch64 ppc64 ppc64le
+%define net_repo 
http://download.opensuse.org/ports/%{the_arch}/tumbleweed/repo/oss/
 %else
 %define net_repo http://download.opensuse.org/tumbleweed/repo/oss
 %endif
 %endif
 %endif
+%endif
 
 %if "%flavor" == "Kubic"
 # don't build on Leap for now
@@ -107,7 +123,7 @@
 
 %if "%theme" == "Kubic"
 %define with_storage_ng 1
-%define branding_skelcd   CAASP
+%define branding_skelcd   Kubic
 %define branding_systemd  CAASP
 %define branding_plymouth openSUSE
 %define branding_grub2openSUSE
@@ -525,7 +541,7 @@
 Summary:Installation Image Files for %theme
 License:GPL-2.0+
 Group:  Metapackages
-Version:14.387
+Version:14.388
 Release:0
 Provides:   installation-images = %version-%release
 Conflicts:  otherproviders(installation-images)

++ installation-images-14.387.tar.xz -> installation-images-14.388.tar.xz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.387/VERSION 
new/installation-images-14.388/VERSION
--- old/installation-images-14.387/VERSION  2018-10-19 15:07:45.0 
+0200
+++ new/installation-images-14.388/VERSION  2018-11-05 14:36:59.0 
+0100
@@ -1 +1 @@
-14.387
+14.388
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.387/changelog 
new/installation-images-14.388/changelog
--- old/installation-images-14.387/changelog2018-10-19 15:07:45.0 
+0200
+++ new/installation-images-14.388/changelog2018-11-05 14:36:59.0 
+0100
@@ -1,3 +1,6 @@
+2018-11-05:14.388
+   - Kubic has its own skelcd package now (bsc #1114455)
+
 2018-10-19:14.387
- don't use 'iterm' terminfo (fate #325746)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.387/etc/config 
new/installation-images-14.388/etc/config
--- old/installation-images-14.387/etc/config   2018-10-19 15:07:45.0 
+0200
+++ new/installation-images-14.388/etc/config   2018-11-05 14:36:59.0 
+0100
@@ -137,7 +137,7 @@
 image   = 350
 release = openSUSE-Tumbleweed-Kubic
 skelcd  = openSUSE
-skelcd_ctrl = CAASP
+skelcd_ctrl = Kubic
 yast= openSUSE
 gfxboot = openSUSE
 grub2   = openSUSE